CorebanqCorebanq Developer Docs
Notificationsv1

Trigger test notification (queue-based)

Development/Testing endpoint - Triggers a test notification through the full notification system with queue processing

POST/v1/notifications/trigger

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication for development/testing endpoints

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/notifications/trigger" \  -H "Content-Type: application/json" \  -d '{    "type": "chats",    "event": "message_received",    "title": "New Message",    "content": "You have received a new message from John",    "customer_id": "550e8400-e29b-41d4-a716-446655440000"  }'
{
  "message": "Notification sent to all connected users"
}
Empty
Empty